#include <Arduino.h>
#include <SD.h>

#include "settings.h"

void store_init() {
	pinMode(PIN_SPI_CHIP_SELECT, OUTPUT);
	
	if(!SD.begin(PIN_SPI_DATA)) {
		Serial.println("Error: Failed to initialise connection to microSD card");
		while(true) { delay(1); } // Pseudo-halt, but uses delay() to ensure we keep passing back control to allow easy re-programming
	}
}

void store_reading(uint32_t id, TinyGPSLocation location) {
	File handle;
}
